Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.recipe.services
Class GetPrescriptionForPrescriberResult

    java.lang.Object
      be.recipe.services.GetPrescriptionForPrescriberResult

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:29:02+02:00",
               comments="JAXB RI v2.2.6")
    public class GetPrescriptionForPrescriberResult

extends Object
implements Serializable

Java class for getPrescriptionForPrescriberResult complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="getPrescriptionForPrescriberResult">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="creationDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="encryptionKeyId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="feedbackAllowed" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="patientId" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
             <element name="prescription" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             <element name="rid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetPrescriptionForPrescriberResult()`

Method Summary
`org.joda.time.DateTime` | `getCreationDate()` Gets the value of the creationDate property.
`String` | `getEncryptionKeyId()` Gets the value of the encryptionKeyId property.
`Long` | `getPatientId()` Gets the value of the patientId property.
`byte[]` | `getPrescription()` Gets the value of the prescription property.
`String` | `getRid()` Gets the value of the rid property.
`boolean` | `isFeedbackAllowed()` Gets the value of the feedbackAllowed property.
`void` | `setCreationDate(org.joda.time.DateTime value)` Sets the value of the creationDate property.
`void` | `setEncryptionKeyId(String value)` Sets the value of the encryptionKeyId property.
`void` | `setFeedbackAllowed(boolean value)` Sets the value of the feedbackAllowed property.
`void` | `setPatientId(Long value)` Sets the value of the patientId property.
`void` | `setPrescription(byte[] value)` Sets the value of the prescription property.
`void` | `setRid(String value)` Sets the value of the rid property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPrescriptionForPrescriberResult

    public GetPrescriptionForPrescriberResult()

Method Detail

### getCreationDate

    public org.joda.time.DateTime getCreationDate()

  Gets the value of the creationDate property.

  Returns:
    possible object is `String`

### setCreationDate

    public void setCreationDate(org.joda.time.DateTime value)

  Sets the value of the creationDate property.

  Parameters:
    `value` - allowed object is `String`

### getEncryptionKeyId

    public String getEncryptionKeyId()

  Gets the value of the encryptionKeyId property.

  Returns:
    possible object is `String`

### setEncryptionKeyId

    public void setEncryptionKeyId(String value)

  Sets the value of the encryptionKeyId property.

  Parameters:
    `value` - allowed object is `String`

### isFeedbackAllowed

    public boolean isFeedbackAllowed()

  Gets the value of the feedbackAllowed property.

### setFeedbackAllowed

    public void setFeedbackAllowed(boolean value)

  Sets the value of the feedbackAllowed property.

### getPatientId

    public Long getPatientId()

  Gets the value of the patientId property.

  Returns:
    possible object is `Long`

### setPatientId

    public void setPatientId(Long value)

  Sets the value of the patientId property.

  Parameters:
    `value` - allowed object is `Long`

### getPrescription

    public byte[] getPrescription()

  Gets the value of the prescription property.

  Returns:
    possible object is byte[]

### setPrescription

    public void setPrescription(byte[] value)

  Sets the value of the prescription property.

  Parameters:
    `value` - allowed object is byte[]

### getRid

    public String getRid()

  Gets the value of the rid property.

  Returns:
    possible object is `String`

### setRid

    public void setRid(String value)

  Sets the value of the rid property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.